Name:		python-crypto
Version:	2.6.1
Release:	25
Summary:	Cryptography library for Python
License:	Public Domain and Python
URL:		http://www.pycrypto.org/
Source0:	http://ftp.dlitz.net/pub/dlitz/crypto/pycrypto/pycrypto-%{version}.tar.gz
Patch6000:	python-crypto-2.4-optflags.patch
Patch6001:	python-crypto-2.4-fix-pubkey-size-divisions.patch
Patch6002:	pycrypto-2.6.1-CVE-2013-7459.patch
Patch6003:	pycrypto-2.6.1-unbundle-libtomcrypt.patch
Patch6004:	python-crypto-2.6.1-link.patch
Patch6005:	pycrypto-2.6.1-CVE-2018-6594.patch
BuildRequires:	coreutils findutils gcc python3-devel
BuildRequires:	gmp-devel libtomcrypt-devel python2-devel python3-devel

%description
Python-crypto is a collection of both secure hash functions (such as MD5
and SHA), and various encryption algorithms (AES, DES, RSA, ElGamal, etc.).

%package -n python2-crypto
Summary:	Library for Python 2
Provides:	pycrypto = %{version}-%{release}
%{?python_provide:%python_provide python2-crypto}

%description -n python2-crypto
Cryptography library for Python 2 package.

%package -n python3-crypto
Summary:	Library for Python 3
%{?python_provide:%python_provide python3-crypto}

%description -n python3-crypto
Cryptography library for Python 3 package.

%prep
%setup -n pycrypto-%{version} -q
rm -rf src/libtom
%patch6000 -p1
%patch6001 -p1
%patch6002 -p1
%patch6003
%patch6004
%patch6005

cp pct-speedtest.py pct-speedtest3.py
2to3 -wn pct-speedtest3.py

%build
%global optflags %{optflags} -fno-strict-aliasing
%py2_build
%py3_build

%install
%py2_install
%py3_install

find %{buildroot}%{python2_sitearch} -name '*.so' -exec chmod -c g-w {} \;
find %{buildroot}%{python3_sitearch} -name '*.so' -exec chmod -c g-w {} \;

%check
%{__python2} setup.py test
%{__python3} setup.py test

PYTHONPATH=%{buildroot}%{python2_sitearch} %{__python2} pct-speedtest.py
PYTHONPATH=%{buildroot}%{python3_sitearch} %{__python3} pct-speedtest3.py

%files -n python2-crypto
%license COPYRIGHT LEGAL/
%doc README TODO ACKS ChangeLog Doc/
%{python2_sitearch}/Crypto/
%{python2_sitearch}/pycrypto-%{version}-py2.*.egg-info

%files -n python3-crypto
%license COPYRIGHT LEGAL/
%doc README TODO ACKS ChangeLog Doc/
%{python3_sitearch}/Crypto/
%{python3_sitearch}/pycrypto-%{version}-py3.*.egg-info

%changelog
* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.6.1-25
- Type:NA
- ID:NA
- SUG:NA
- DESC:Package Init
